/* Copyright 1999 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.bert;

import org.mitre.pam.interfaces.ExecToController;

final class ConnectionInfo {
	public static final String QUERY_FILE_NAME = "/PAM/State.query";
	public static final String POST_FILE_NAME = "/PAM/State.post";
	public static final String SELF_NAME = "bert";

	String userID="Administrator";
	String localHost;
	int localPort;
	String host;
	int port;
	String userPassword;
	int bertVersion;
	boolean loadedByURL;
	boolean loadedByFile;
	boolean isAdmin;
	long lastLoadSaveTime;
	String stateFileName;
	String stateDirectoryName;
	ExecToController exec; // may be null if launched standalone
	boolean localMode; // true means running in the context of iPAM
}