/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.daemon;

import java.util.*;
import java.io.*;

import org.mitre.pam.interfaces.*;

/**
* A simple class to capture information about users.
* This class does nothing because we just create it for its
* attribute-value pairs.
*
* @author Nazario Irizarry, Jr.
*/
public class Memo extends DaemonBase {


	public Memo() {
		removeProperty(ScheduleAttributes.PERIOD);
		removeProperty(DESCRIPTION);
		setProperty(ScheduleAttributes.SCHEDULE_VERB, ScheduleAttributes.SCHEDULE_NONE);
		setEnabled(false);
	}
	
	public void doDaemonTask() {
		setProperty(ScheduleAttributes.SCHEDULE_VERB, ScheduleAttributes.SCHEDULE_NONE);
		setEnabled(false);
	}
	
}