/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;
import java.io.File;
import java.util.Observer;

/**
* A Handler is an agent that has inputs and outputs but have
* no built in activation.  They respond to data flow requests.  
*  They merge, augment, filter, or otherwise
* transform the data before passing it along. <p>
*
* @author Nazario Irizarry, Jr.
*/
public interface Handler extends Sink, Source, ConnectedAgent
{
/*
* Juggler state
*/
	public static String STATE_PIMS_OUTSTANDING = "pims outstanding";
	public static String STATE_DIMS_OUTSTANDING = "dims outstanding";
 }
