/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;
import java.io.File;
import java.util.Observer;

/**
* A Juggler is an agent that has inputs and outputs.  It
* typically has a schedule, although Jugglers can be chained such
* that only the Juggler at the end of the chain needs the schedule.
* Jugglers pull data from the left (usually PIMs) and push it
* to the right (usually DIMs).
*  They merge, augment, filter, or otherwise
* transform the data before passing it along. <p>
*
* @author Nazario Irizarry, Jr.
*/
public interface Juggler extends Schedulable, Handler
{
/*
* Juggler attributes
*/
	public final static String CREATOR_EMAIL = "creatorEmailAddress";
	public final static String TOPIC = "product_topic";
	
 }
