/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;

/**
* It was
* determined that the most general thing one could say about
* product visitors was that they visit a product.  Visitors
* "return" different things depending on their visitation.  It
* is expected that there will eventually emerge a family of
* visitors. <p>
*
* @author Nazario Irizarry, Jr.
*/

public interface ProductVisitor {
	public void visit(Product product);
}