/* Copyright 1999 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;

/**
* A wizard is used to perform a "template" task
*/
public interface Wizard  {

/**
* Invoked when the wizard object is constructed.
* Calls buildScriptBody and keeps a reference to the
* script array returned by that method.
*/
	public void buildScript(ExecToController exec);

/**
* Called from a using program to display the wizard and allow
* the user to sequence through its display panes.
*
*/
	public void runScript(ExecToController exec);

}