/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.store;

import java.io.IOException;
import java.io.File;

/**
* Thrown when there is a request for a url to a
* file outside the URL scope (working directory or support directory).
*
* @author Nazario Irizarry, Jr.
*/
public class FileNotLocalException extends IOException {

	public FileNotLocalException(File file) {
		super("File "+file.getAbsolutePath()+" is not within local reach");
	}

}