/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.util.smtpIn;


/**
* This interface must be implemented by any class that would like to receive
* SMTPevent objects.
*
* @author John R. Fantry
*/
public interface SMTPlistener {

  /**
  * This is the delivery function.  This is the one and only entry point for
  * SMTPevent objects.
  *
  * @param event  The SMTPevent object being delivered.
  */
  public void SMTPmailEvent(SMTPevent event);
}