package org.mitre.pam.daemon.rules;
import jess.RU;
import jess.Value;
import jess.ReteException;

/**
* This class collects static utility methods dealing with Jess facts
*
* @author Jason Mathews Added multiple string values
*/
public class Util {

  /** Converts Jess Value to a string.
  * ValueVectors (Lists) cannot be called with stringValue() method.
  */
  public static String valueToString(Value v) throws ReteException {
    if (v.type() == RU.LIST)
	return v.listValue().toString();
    else
	return v.stringValue();
  }

}
