/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;

/**
* An interface that defines "events" or "actions"
* that a thread may want to know about. <p>
*
* @author Nazario Irizarry, Jr.
*/
public interface ExecThread
{
/**
* Allows the thread time to take an action prior to going to sleep
* Used so that executive threads can adjust their environment if
* they need to.
* Use this instead of Thread.sleep()
*/
	public void goToSleep(long milliseconds) throws InterruptedException;
}
