/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.interfaces;
/**
* Allows developer to build filters that operate on products.
* Used by Product.apply().
* @see Product
* @see 
*
* @author Nazario Irizarry, Jr.
*/

public interface ProductFilter {
/**
* @param parent the container product for the product to test
* @param productToTest the product to test
* @return true based on the product test, for example to continue iteration (Product.apply())
*/
	boolean filter(ContainerProduct parent, Product productToTest);
}