/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */
package org.mitre.pam.monitor;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.mitre.pam.executive.Exec;
import org.mitre.pam.interfaces.ExecToMonitor;
import org.mitre.pam.interfaces.ExecToController;
import org.mitre.pam.interfaces.ExecCallbacks;

/**
* Serves up an error message.
*
* @author Nazario Irizarry
*/

public class SrvBadReq extends SrvPAMBase {

	protected File fileToGet;
	protected int fileGetError;

    public SrvBadReq() {
	}


    public String getServletInfo() {
    	return "return stock error msg (debugging)";
    }

/**
* Intercept the service call to reset our private attributes.
* Invokes javax.servlet.http.HttpServlet.service
*/
	protected void service (HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
		log("SrvBadReq detected bad servlet request - "+req.getServletPath());
		log(" - "+req.getServletPath());
		log(" - "+req.getRequestURI());
		res.sendError(HttpServletResponse.SC_BAD_REQUEST);
	}
}
