/* Copyright 1998 The MITRE Corporation. ALL RIGHTS RESERVED */

package org.mitre.pam.wizard;
/*
	A basic extension of the java.awt.Frame class
 */

import java.awt.*;

public class EnterTextLine extends Panel implements WizardFrame
{
	public EnterTextLine(String descriptionString, String defaultValue)
	{
		//{{INIT_CONTROLS
		GridBagLayout gridBagLayout;
		gridBagLayout = new GridBagLayout();
		setLayout(gridBagLayout);
		setSize(235,97);
		description = new java.awt.TextArea("",5,0,TextArea.SCROLLBARS_NONE);
		description.setEditable(false);
		description.setText("none");
		description.setBounds(0,0,235,74);
		description.setFont(new Font("Dialog", Font.BOLD, 12));
		GridBagConstraints gbc;
		gbc = new GridBagConstraints();
		gbc.gridx = 0;
		gbc.gridy = 0;
		gbc.weightx = 1.0;
		gbc.weighty = 20.0;
		gbc.anchor = GridBagConstraints.SOUTH;
		gbc.fill = GridBagConstraints.BOTH;
		gbc.insets = new Insets(0,0,5,0);
		gbc.ipadx = 5;
		gbc.ipady = 5;
		((GridBagLayout)getLayout()).setConstraints(description, gbc);
		add(description);
		description.setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
		value = new java.awt.TextField();
		value.setText("a");
		value.setBounds(30,79,205,17);
		gbc = new GridBagConstraints();
		gbc.gridx = 0;
		gbc.gridy = 1;
		gbc.gridheight = 2;
		gbc.weightx = 1.0;
		gbc.weighty = 1.0;
		gbc.anchor = GridBagConstraints.NORTH;
		gbc.fill = GridBagConstraints.HORIZONTAL;
		gbc.insets = new Insets(0,30,2,0);
		gbc.ipady = 5;
		((GridBagLayout)getLayout()).setConstraints(value, gbc);
		add(value);
		//}}

		//{{INIT_MENUS
		//}}

		//{{REGISTER_LISTENERS
		//}}
		
		description.setText(descriptionString);
		value.setText(defaultValue);
	}




	//{{DECLARE_CONTROLS
	java.awt.TextArea description;
	java.awt.TextField value;
	//}}

	//{{DECLARE_MENUS
	//}}

	public Object getValue(){
		return value.getText();
	}
	public Panel getPanel(){
		return this;
	}

	
}
